Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 4181)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/08/29 08:57:38  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- palm/trunk/SOURCE/cpulog_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/cpulog_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4015 2019-06-05 13:25:35Z raasch
 ! all reals changed to double precision in order to work with 32-bit working precision,
 ! otherwise calculated time intervals would mostly give zero
@@ -34,5 +37,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! output format limited to a maximum line length of 80
-! 
+!
+! Revision 1.1  1997/07/24 11:12:29  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/cuda_fft_interfaces.f90
===================================================================
--- palm/trunk/SOURCE/cuda_fft_interfaces.f90	(revision 4181)
+++ palm/trunk/SOURCE/cuda_fft_interfaces.f90	(revision 4182)
@@ -24,6 +24,9 @@
 ! -----------------
 ! $Id$
-! Initial revision ( OpenACC port for SPEC )
+! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! 1683 2015-10-07 23:57:51Z knoop
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_log.f90
===================================================================
--- palm/trunk/SOURCE/data_log.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_log.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3725 2019-02-07 10:11:02Z raasch
 ! preprocessor directives removed to avoid compiler warnings
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
-! 
+!
+! Revision 1.1  2006/02/23 10:09:29  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4048 2019-06-21 21:00:21Z knoop
 ! Removed turbulence_closure_mod dependency
 ! 
@@ -49,5 +52,8 @@
 ! Bugfix: use time_since_reference_point instead of simulated_time (relevant
 ! when using wall/soil spinup)
-! 
+!
+! Revision 1.1  1997/08/11 06:24:09  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4162 2019-08-16 05:54:29Z raasch
 ! bugfix for r4155
 ! 
@@ -56,5 +59,8 @@
 ! Bugfix: use time_since_reference_point instead of simulated_time (relevant
 ! when using wall/soil spinup)
-! 
+!
+! Revision 1.1  1997/09/03 06:29:36  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_flight.f90
===================================================================
--- palm/trunk/SOURCE/data_output_flight.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_flight.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables removed
 ! 
+! 1957 2016-07-07 10:43:48Z suehring
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Remove variable grid
 ! 
@@ -46,5 +49,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Fix output time levels (use time_since_reference_point)
-! 
+!
+! 410 2009-12-04 17:05:40Z letzel
+! Initial version
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! add variable description
-! 
+!
+! Revision 1.1  1997/09/12 06:28:48  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  2001/01/05 15:14:20  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 4181)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! unused format removed
-! 
+!
+! Revision 1.1  1998/03/03 08:00:13  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/date_and_time_mod.f90
===================================================================
--- palm/trunk/SOURCE/date_and_time_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/date_and_time_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4144 2019-08-06 09:11:47Z raasch
 ! relational operators .EQ., .NE., etc. replaced by ==, /=, etc.
 ! 
@@ -32,4 +35,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! further tabs removed
+! 
+! 2544 2017-10-13 18:09:32Z maronga
+! Initial revision
 ! 
 !
Index: palm/trunk/SOURCE/diagnostic_output_quantities_mod.f90
===================================================================
--- palm/trunk/SOURCE/diagnostic_output_quantities_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/diagnostic_output_quantities_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4167 2019-08-16 11:01:48Z suehring
 ! Changed behaviour of masked output over surface to follow terrain and ignore 
 ! buildings (J.Resler, T.Gronemeier)
@@ -57,7 +60,9 @@
 ! Initial revision
 !
-!
+! Authors:
+! --------
 ! @author Farah Kanani-Suehring
 ! 
+!
 ! Description:
 ! ------------
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 4181)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3927 2019-04-23 13:24:29Z raasch
 ! pointer attribute removed from scalar 3d-array for performance reasons
 ! 
@@ -32,5 +35,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
-! 
+!
+! Revision 1.1  2000/04/13 14:54:02  schroeter
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 4181)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/09/12 06:23:51  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 4181)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/09/12 06:24:01  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 4181)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/09/12 06:24:11  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 4181)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3849 2019-04-01 16:35:16Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1998/02/04 15:40:45  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 4181)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3761 2019-02-25 15:31:42Z raasch
 ! unsed variables removed
 ! 
@@ -32,5 +35,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unused variable removed
-! 
+!
+! Revision 1.1  1998/03/25 20:03:47  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 4181)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3761 2019-02-25 15:31:42Z raasch
 ! OpenACC directives re-formatted
 ! 
 ! 3657 2019-01-07 20:14:18Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/07/24 11:13:29  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 4181)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3768 2019-02-27 14:35:58Z raasch
 ! further variables moved to serial branch to avoid compiler warnings about unused variables
 ! 
@@ -33,5 +36,8 @@
 ! - New routine for exchange of 8-bit integer arrays
 ! - Set Neumann conditions also at radiation boundary
-! 
+!
+! Revision 1.1  1998/01/23 09:58:21  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/fft_xy_mod.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/fft_xy_mod.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4069 2019-07-01 14:05:51Z Giersch
 ! Code added to avoid compiler warnings
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  2002/06/11 13:00:49  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 4181)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4131 2019-08-02 11:06:18Z monakurppa
 ! Allow profile output for salsa variables.
 ! 
@@ -36,5 +39,8 @@
 ! 3676 2019-01-16 15:07:05Z knoop
 ! Bugfix, terminate OMP Parallel block
-! 
+!
+! Revision 1.1  1997/08/11 06:15:17  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/global_min_max.f90
===================================================================
--- palm/trunk/SOURCE/global_min_max.f90	(revision 4181)
+++ palm/trunk/SOURCE/global_min_max.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1997/07/24 11:14:03  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/gust_mod.f90
===================================================================
--- palm/trunk/SOURCE/gust_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/gust_mod.f90	(revision 4182)
@@ -43,4 +43,13 @@
 ! Bugfix: domain bounds of local_pf corrected
 ! 
+! 
+! Interfaces concerning data output updated
+! 
+! 
+! renamed gust_par to gust_parameters
+! 
+! 
+! Initial interface definition
+!
 ! 
 ! Description:
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 4181)
+++ palm/trunk/SOURCE/header.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -39,5 +42,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Implementation of the PALM module interface
-! 
+!
+! Revision 1.1  1997/08/11 06:17:20  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4182)
@@ -26,8 +26,9 @@
 ! -----------------
 ! $Id: indoor_model_mod.f90 
+! Corrected "Former revisions" section
+! 
+! 
 ! Bugfix in case of non grid-resolved buildings. Further, vertical grid spacing
 ! is now considered at the correct level.  
-! 
-! 
 ! - change calculation of a_m and c_m
 ! - change calculation of u-values (use h_es in building array)
@@ -43,5 +44,4 @@
 ! - change calculation of q_waste_heat
 ! - bugfix in averaging mean indoor temperature 
-! 
 ! 
 ! 3759 2019-02-21 15:53:45Z suehring $
@@ -59,6 +59,18 @@
 ! 
 ! 3744 2019-02-15 18:38:58Z suehring
-! Some interface calls moved to module_interface + cleanup
+! 3597 2018-12-04 08:40:18Z maronga
+! Renamed t_surf_10cm to pt_10cm
 ! 
+! 3469 2018-10-30 20:05:07Z kanani
+! Initial revision (tlang, suehring, kanani, srissman)!
+!
+! Authors:
+! --------
+! @author Tobias Lang
+! @author Jens Pfafferott
+! @author Farah Kanani-Suehring
+! @author Matthias Suehring
+! @author Sascha RiÃmann
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 4181)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 4182)
@@ -25,9 +25,13 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4172 2019-08-20 11:55:33Z oliver.maas
 ! added optional recycling of absolute values for pt and q
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
-! 
+!
+! Initial version (2008/03/07)
 !
 ! Description:
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -81,5 +84,8 @@
 ! 3648 2019-01-02 16:35:46Z suehring
 ! Rename subroutines for surface-data output
-! 
+!
+! Revision 1.1  1998/03/09 16:22:22  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_advec.f90
===================================================================
--- palm/trunk/SOURCE/init_advec.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_advec.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1999/02/05 09:07:38  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- palm/trunk/SOURCE/init_coupling.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_coupling.f90	(revision 4182)
@@ -25,6 +25,11 @@
 ! ------------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! references to mrun replaced by palmrun, and updated
-! 
+!
+! 222 2009-01-12 16:04:16Z letzel
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Pre-calculate topography top index and store it on an array (replaces former
 ! functions get_topography_top_index)
@@ -66,5 +69,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Comment added
-! 
+!
+! Revision 1.1  1997/08/11 06:17:45  raasch
+! Initial revision (Testversion)
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4069 2019-07-01 14:05:51Z Giersch
 ! Masked output running index mid has been introduced as a local variable to 
 ! avoid runtime error (Loop variable has been modified) in time_integration 
@@ -37,5 +40,8 @@
 ! Move the control parameter "salsa" from salsa_mod to control_parameters 
 ! (M. Kurppa)
-! 
+!
+! 410 2009-12-04 17:05:40Z letzel
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4045 2019-06-21 10:58:47Z raasch
 ! bugfix: kind attribute added to nint function to allow for large integers which may appear in
 ! case of default recycling width and small grid spacings
@@ -50,5 +53,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
-! 
+!
+! Revision 1.1  1997/07/24 11:15:09  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Added topography flags
-! 
+!
+! Revision 1.1  1997/08/29 08:58:56  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
-! 
+!
+! Revision 1.1  1997/08/11 06:18:43  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 4181)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
-! 
+!
+! Revision 1.1  2000/04/27 07:06:24  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -70,5 +73,8 @@
 ! bugfix to guarantee correct particle releases in case that the release
 ! interval is smaller than the model timestep
-! 
+!
+! Revision 1.1  1999/11/25 16:16:06  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4118 2019-07-25 16:11:45Z suehring
 ! Initialization of soil temperature and moisture via dynamic input file only
 ! for vegetation and pavement surfaces. 
@@ -107,4 +110,7 @@
 ! nopointer option removed
 ! 
+! 1496 2014-12-02 17:25:50Z maronga
+! Initial revision
+! 
 !
 ! Description:
Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4182)
@@ -25,9 +25,13 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3719 2019-02-06 13:10:18Z kanani
 ! Removed USE cpulog (unused)
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables removed
-! 
+! 2320 2017-07-21 12:47:43Z suehring
+! initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 4181)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Added an empty output string to stop keywords to clean up job protocol
-! 
+!
+! Revision 1.1  2002/12/19 15:46:23  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/local_system.f90
===================================================================
--- palm/trunk/SOURCE/local_system.f90	(revision 4181)
+++ palm/trunk/SOURCE/local_system.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1997/09/03 06:27:27  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain.f90	(revision 4181)
+++ palm/trunk/SOURCE/local_tremain.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1998/03/18 20:14:47  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain_ini.f90	(revision 4181)
+++ palm/trunk/SOURCE/local_tremain_ini.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1998/03/18 20:15:05  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/message.f90
===================================================================
--- palm/trunk/SOURCE/message.f90	(revision 4181)
+++ palm/trunk/SOURCE/message.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4097 2019-07-15 11:59:11Z suehring
 ! Avoid overlong lines - limit is 132 characters per line
 ! 
@@ -37,5 +40,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Minor formating changes
-! 
+!
+! 213 2008-11-13 10:26:18Z raasch
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/mod_kinds.f90
===================================================================
--- palm/trunk/SOURCE/mod_kinds.f90	(revision 4181)
+++ palm/trunk/SOURCE/mod_kinds.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4000 2019-05-24 07:20:44Z raasch
 ! preprocessor switch added for choosing the real precision
 ! 
@@ -30,4 +33,6 @@
 ! Corrected "Former revisions" section
 ! 
+! 1306 2014-03-13 14:30:59Z raasch
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4181)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4043 2019-06-18 16:59:00Z schwenkel
 ! Remove min_nr_particle
 ! 
@@ -32,5 +35,7 @@
 ! 3720 2019-02-06 13:19:55Z knoop
 ! time_prel replaced by last_particle_release_time
-! 
+! 1359 2014-04-11 17:15:14Z hoffmann
+! new module containing all particle related variables
+! -dt_sort_particles
 !
 ! Description:
Index: palm/trunk/SOURCE/model_1d_mod.f90
===================================================================
--- palm/trunk/SOURCE/model_1d_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/model_1d_mod.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
-! 
+!
+! Revision 1.1  1998/03/09 16:22:10  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 4181)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4173 2019-08-20 12:04:06Z gronemeier
 ! add vdi_internal_controls
 ! 
@@ -132,5 +135,6 @@
 !
 ! 3648 2019-01-02 16:35:46Z suehring
-! Rename subroutines for surface-data output
+! 3641 2018-12-23 22:10:01Z knoop
+! Initial implementation of the PALM module interface
 !
 !
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 4181)
+++ palm/trunk/SOURCE/modules.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4173 2019-08-20 12:04:06Z gronemeier
 ! add vdi_internal_controls
 ! 
@@ -69,5 +72,5 @@
 ! 3648 2019-01-02 16:35:46Z suehring
 ! -surface_data_output +surface_output
-! 
+!
 !------------------------------------------------------------------------------!
 ! Description:
Index: palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -43,4 +46,13 @@
 ! unused variables removed
 ! 
+! 3159 2018-07-20 11:20:01Z sward
+! Initial revision
+!
+! 
+!
+! Authors:
+! --------
+! @author sward
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/nesting_offl_mod.f90
===================================================================
--- palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4169 2019-08-19 13:54:35Z suehring
 ! Additional check added.
 ! 
@@ -79,4 +82,10 @@
 ! 3704 2019-01-29 19:51:41Z suehring
 ! Check implemented for offline nesting in child domain 
+! 
+! Initial Revision: 
+! - separate offline nesting from large_scale_nudging_mod
+! - revise offline nesting, adjust for usage of synthetic turbulence generator
+! - adjust Rayleigh damping depending on the time-depending atmospheric
+!   conditions
 ! 
 ! 
Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4178 2019-08-21 11:13:06Z suehring
 ! Implement input of external radiation forcing. Therefore, provide public
 ! subroutines and variables. 
@@ -101,4 +104,12 @@
 ! unused variables removed
 ! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Initial revision (suehring)
+!
+! Authors:
+! --------
+! @author Matthias Suehring
+! @author Edward C. Chan
+! @author Emanuele Russo
 !
 ! Description:
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4127 2019-07-30 14:47:10Z suehring
 ! -Introduce new vertical dimension for plant-canopy output. 
 ! -Temporarlily disable masked output for soil (merge from branch resler)
@@ -79,4 +82,7 @@
 ! Move the control parameter "salsa" from salsa_mod to control_parameters
 ! (M. Kurppa)
+!
+! Revision 1.1  2005/05/18 15:37:16  raasch
+! Initial revision
 !
 !
Index: palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- palm/trunk/SOURCE/ocean_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/ocean_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4110 2019-07-22 17:05:21Z suehring
 ! Pass integer flag array as well as boundary flags to WS scalar advection 
 ! routine
@@ -41,5 +44,11 @@
 ! 3684 2019-01-20 20:20:58Z knoop
 ! nopointer option removed
-! 
+! 3294 2018-10-01 02:37:10Z raasch
+! initial revision
+!
+!
+! Authors:
+! --------
+! @author Siegfried Raasch
 !
 ! Description:
